Loading...
Searching...
No Matches
l4_kernel_info_t Struct Reference
Base API » Kernel Interface Page

L4 Kernel Interface Page. More...

`#include <kip.h>`

Collaboration diagram for l4_kernel_info_t:

## Data Fields

l4_uint32_t | magic
| Kernel Info Page identifier ("L4µK").
l4_uint32_t | version
| Kernel version.
l4_uint8_t | offset_version_strings
| offset to version string
l4_uint8_t | _fill0 [3]
| reserved
l4_uint8_t | kip_sys_calls
| pointer to system calls
l4_uint8_t | _fill1 [2]
| reserved
l4_uint64_t | sigma0_ip
| Sigma0 instruction pointer.
l4_uint64_t | root_ip
| Root task instruction pointer.
l4_uint64_t | frequency_cpu
| CPU frequency in kHz.
l4_uint64_t | acpi_rsdp_addr
| ACPI RSDP/XSDP.
l4_uint64_t | dt_addr
| Device Tree.
l4_uint64_t | user_ptr
| user_ptr
l4_uint32_t | scheduler_granularity
| for rounding time slices
l4_uint32_t | mem_descs
| memory descriptors relative to Kip
l4_uint32_t | mem_descs_num
| number of memory descriptors
l4_uint64_t | _res2 [2]
| internal - spare space

## Detailed Description

L4 Kernel Interface Page.

32-bit architecture may assume that the upper 32 bits of addresses is 0

Definition at line 36 of file kip.h.

The documentation for this struct was generated from the following file:

- l4/sys/kip.h